# $Revision: 1.18 $, $Date: 2008/07/27 23:01:24 $
Summary:	Create DOS/MS-compatible boot records
Summary(pl.UTF-8):	Narzędzie tworzące boot recordy kompatybilne z DOS-em i MS
Name:		ms-sys
Version:	2.1.3
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/ms-sys/%{name}-%{version}.tgz
# Source0-md5:	6fad0a69ac89440ad4f696dbbbf11497
URL:		http://ms-sys.sourceforge.net/
BuildRequires:	bash
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program is used to create DOS/MS-compatible boot records. It is
able to do the same as Microsoft "fdisk /mbr" to a hard disk. It is
also able to do the same as DOS "sys" to a floppy or FAT32 partition
except that it does not copy any system files, only the boot record is
written.

%description -l pl.UTF-8
Ten program służy do tworzenia boot recordów kompatybilnych z DOS-em i
MS. Jest w stanie zrobić to samo co microsoftowy "fdisk /mbr" na
twardym dysku, a także to, co DOS-owy "sys" na dyskietce lub partycji
FAT32 - z dokładnością do tego, że nie kopiuje żadnych plików
systemowych, jedynie zapisuje boot record.

%prep
%setup -q

%build
# "debug" is only a hack - it allows passing EXTRA_CFLAGS
%{__make} debug \
	SHELL=/bin/bash \
	PREFIX=%{_prefix} \
	CC="%{__cc}" \
	EXTRA_CFLAGS="%{rpmcflags} -fasm" \
	EXTRA_LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	MANDIR=%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGELOG CONTRIBUTORS README TODO
%attr(755,root,root) %{_bindir}/ms-sys
%{_mandir}/man1/ms-sys.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ms-sys.spec,v $
Revision 1.18  2008/07/27 23:01:24  arekm
- release 2

Revision 1.17  2008/07/19 23:19:49  qboosh
- updated to 2.1.3

Revision 1.16  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.14  2005/11/23 21:17:01  blekot
- up to 2.1.2

Revision 1.13  2005/08/13 17:53:02  areq
- 2.1.1

Revision 1.12  2004/06/06 22:08:51  areq
- 2.0.0

Revision 1.11  2004/05/13 17:17:35  ankry
- spaces -> tabs, other cosmetics

Revision 1.10  2004/03/22 11:56:22  areq
- 1.1.3

Revision 1.9  2004/01/05 02:07:12  undefine
- update to 1.1.1

Revision 1.8  2003/09/21 21:28:45  areq
- 1.1.0

Revision 1.7  2003/05/28 12:59:48  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:50:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/08 12:54:45  qboosh
- use http for sources from sourceforge

Revision 1.4  2003/02/23 22:36:42  areq
- 1.0.2
- add man

Revision 1.3  2003/02/23 01:10:06  misi3k
- updated to 1.0.1

Revision 1.2  2002/09/05 12:55:18  qboosh
- added -fasm to CFLAGS - -ansi may conflict with inlines in kernel headers
- release 2

Revision 1.1  2002/09/02 19:42:03  qboosh
- new
